Bug 134872 - USB flash disk unusable
USB flash disk unusable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 17:03 EDT by Andrew Gormanly
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 09:38:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Gormanly 2004-10-06 17:03:33 EDT
Description of problem:

On connecting a generic USB flash disk, get SCSI errors.  This drive
worked fine on RH8.0, RH9, FC1 and still works on my RHEL 3WS laptop,
but not under FC2.  I assume it's a 2.6 problem.

On connection, CPU usage goes right up (500MHz K6-2, though); system
almost freezes (mouse barely responsive); floppy has light on and
makes noises as if it seeks for a disk; and I get the following
messages from the kernel until the device is removed (note the
increments to device address - each time, the usb stick's LED lights
up, then goes out):

ohci_hcd 0000:00:02.0: wakeup
usb 1-2: new full speed USB device using address 4
scsi1 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda:SCSI error : <1 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <1 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <1 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <1 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <1 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi1, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 4
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 4
usb 1-2: new full speed USB device using address 5
scsi2 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda:SCSI error : <2 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <2 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <2 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <2 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <2 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi removable disk sda at scsi2, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi2, channel 0, id 0, lun 0,  type 0
sda : READ CAPACITY failed.
sda : status=0, message=00, host=7, driver=00
sda : sense not available.
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
USB Mass Storage device found at 5
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 5
sda : READ CAPACITY failed.
sda : status=0, message=00, host=1, driver=00
sda : sense not available.
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
 sda:<3>scsi2 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
scsi2 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
scsi2 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 262143
scsi2 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 262143
scsi2 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
 unable to read partition table
usb 1-2: new full speed USB device using address 6
scsi3 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda:SCSI error : <3 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <3 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <3 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <3 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <3 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi removable disk sda at scsi3, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi3, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 6
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 6
usb 1-2: new full speed USB device using address 7
scsi4 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda:SCSI error : <4 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <4 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <4 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <4 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <4 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi removable disk sda at scsi4, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi4, channel 0, id 0, lun 0,  type 0
sda : READ CAPACITY failed.
sda : status=0, message=00, host=7, driver=00
sda : sense not available.
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
USB Mass Storage device found at 7
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 7
sda : READ CAPACITY failed.
sda : status=0, message=00, host=1, driver=00
sda : sense not available.
sda: Write Protect is off
sda: Mode Sense: 00 00 00 00
sda: assuming drive cache: write through
 sda:<3>scsi4 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
scsi4 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
scsi4 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 262143
scsi4 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 262143
scsi4 (0:0): rejecting I/O to device being removed
Buffer I/O error on device sda, logical block 0
 unable to read partition table
usb 1-2: new full speed USB device using address 8
scsi5 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: assuming drive cache: write through
 sda:SCSI error : <5 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <5 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <5 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <5 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <5 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi disk sda at scsi5, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi5, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 8
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 8
usb 1-2: new full speed USB device using address 9
scsi6 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: assuming drive cache: write through
 sda:SCSI error : <6 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <6 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <6 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <6 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <6 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi disk sda at scsi6, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi6, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 9
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 9
usb 1-2: new full speed USB device using address 10
scsi7 : SCSI emulation for USB Mass Storage devices
  Vendor: Generic   Model: Flash Disk        Rev: 7.78
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 64000 512-byte hdwr sectors (33 MB)
sda: assuming drive cache: write through
 sda:SCSI error : <7 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <7 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
SCSI error : <7 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <7 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 63992
Buffer I/O error on device sda, logical block 7999
SCSI error : <7 0 0 0> return code = 0x70000
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi disk sda at scsi7, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi7, channel 0, id 0, lun 0,  type 0
USB Mass Storage device found at 10
hub 1-0:1.0: port 2 disabled by hub (EMI?), re-enabling...
usb 1-2: USB disconnect, address 10
usb 1-2: new full speed USB device using address 11


Version-Release number of selected component (if applicable):

All so far.

How reproducible:

Every time.

Steps to Reproduce:
1. Connect USB stick;
2. Watch system freak out;
3. Remove stick, wait a minute for system to stabilise.
  
Actual results:

My system becomes unusable, flash disk is not mountable.

Expected results:

Flash disk becomes mountable after connecting it to computer, at no
significant cpu cost, as on 2.4-based systems.

Additional info:

USB overhead is very high anyway: when turning on my Epson CX6400
printer/scanner, load increases too much.

[root@localhost root]# lspci
00:00.0 Host bridge: ALi Corporation M1541 (rev 04)
00:01.0 PCI bridge: ALi Corporation M1541 PCI to AGP Controller (rev 04)
00:02.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin
IV] (rev b4)
00:0e.0 Multimedia audio controller: C-Media Electronics Inc CM8738
(rev 10)
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev 20)
01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4
MX 440 AGP 8x] (rev a4)
Comment 1 Andrew Gormanly 2005-02-18 06:13:05 EST
Fixed in 2.6.10-1.12_FC2

Note You need to log in before you can comment on or make changes to this bug.